com.io7m.smfj.processing.api

## Class SMFFilterCommandParsing

- java.lang.Object
- - com.io7m.smfj.processing.api.SMFFilterCommandParsing

-     public final class SMFFilterCommandParsing
      extends Object

  Useful combinators for parsing.

- - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static SMFParseError` | `errorExpectedGot(Optional<URI> uri, int line, String expected, javaslang.collection.List<String> text)` Construct an error message that indicates that one sort of input was expected but another was received.
    `static javaslang.control.Validation<javaslang.collection.List<SMFParseError>,SMFMemoryMeshFilterType>` | `errorExpectedGotValidation(Optional<URI> uri, int line, String expected, javaslang.collection.List<String> text)` Construct an error message that indicates that one sort of input was expected but another was received.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### errorExpectedGotValidation

          public static javaslang.control.Validation<javaslang.collection.List<SMFParseError>,SMFMemoryMeshFilterType> errorExpectedGotValidation(Optional<URI> uri,
                                                                                                                                                  int line,
                                                                                                                                                  String expected,
                                                                                                                                                  javaslang.collection.List<String> text)

      Construct an error message that indicates that one sort of input was expected but another was received.
      Parameters:
        `uri` - The URI, if any
        `line` - The current line number
        `expected` - The expected input
        `text` - The received input
      Returns:
        An error message

    - #### errorExpectedGot

          public static SMFParseError errorExpectedGot(Optional<URI> uri,
                                                       int line,
                                                       String expected,
                                                       javaslang.collection.List<String> text)

      Construct an error message that indicates that one sort of input was expected but another was received.
      Parameters:
        `uri` - The URI, if any
        `line` - The current line number
        `expected` - The expected input
        `text` - The received input
      Returns:
        An error message

Copyright © 2017 <code@io7m.com> http://io7m.com